Disable the organization's registry
DELETE
/api/v1/organizations/{orgID}/registry
const url = 'https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registry?purge=true';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registry?purge=true' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” orgID
required
string format: uuid
Organization UUID.
Query Parameters
Section titled “Query Parameters ” purge
string
When “true”, also deletes all repositories in the registry.
Responses
Section titled “ Responses ”Registry disabled.
Missing or invalid credentials.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}The requested resource was not found.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}